ps_add_pdflink
ps_arc
PS Functions
PHP Manual

# ps_add_weblink

(PECL ps:1.1.0-1.3.5)

ps_add_weblink — Adds link to a web location

### Description

bool ps_add_weblink ( resource `$psdoc` , float `$llx` , float `$lly` , float `$urx` , float `$ury` , string `$url` )

Places a hyperlink at the given position pointing to a web page. The hyperlink's source position is a rectangle with its lower left corner at (`llx` , `lly` ) and its upper right corner at (`urx` , `ury` ). The rectangle has by default a thin blue border.

The hyperlink will not be visible if the document is printed or viewed but it will show up if the document is converted to pdf by either Acrobat Distiller™ or Ghostview.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`llx`

  The x-coordinate of the lower left corner.

`lly`

  The y-coordinate of the lower left corner.

`urx`

  The x-coordinate of the upper right corner.

`ury`

  The y-coordinate of the upper right corner.

`url`

  The url of the hyperlink to be opened when clicking on this link, e.g. http://www.php.net.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_add_launchlink()
- ps_add_locallink()
- ps_add_pdflink()

ps_add_pdflink
ps_arc
PS Functions
PHP Manual